## eopayment 3.11.post1+gbbbf4b9-1~eob120+1

=== debian/changelog ===
eopayment (3.11.post1+gbbbf4b9-1~eob120+1) bookworm-eobuilder; urgency=low

  * (bbbf4b) payfip_ws: accept cancelled state after waiting 2 minutes since
    transaction date (#110175)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 18 Sep 2025 16:06:27 +0200

eopayment (3.11) bookworm-eobuilder; urgency=low

  * (977713) saga: report missing email with PaymentException (#107933)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 04 Aug 2025 15:51:47 +0200

eopayment (3.10) bookworm-eobuilder; urgency=low

  * (19a6cb) misc: add STATUS_{DESCRIPTION,NAME} to eopayment namespace (#104784)
  * (7fc4c5) translation update (#101490)
  * (5f6692) common: add description of eopayment statuses (#101490)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 16 Apr 2025 16:35:18 +0200

eopayment (3.9) bookworm-eobuilder; urgency=low

  * (e2d730) worldline: missing import for expired (#103812)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 24 Mar 2025 15:33:01 +0100

eopayment (3.8) bookworm-eobuilder; urgency=low

  * (1c0029) worldline: handle properly testing the status of a hostedcheckout
    without a payment (#103812)
  * (bf711c) worldline: set payment timeout to 5 minutes (#103814)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 24 Mar 2025 15:10:27 +0100

eopayment (3.7) bookworm-eobuilder; urgency=low

  * (752a25) add new backend for worldline API (#101679)
  * (bd5d16) ci: update black version (#101218)
  * (6df2bb) ci: change black to target python 3.11 (#101218)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 17 Mar 2025 17:43:08 +0100

eopayment (3.6) bookworm-eobuilder; urgency=low

  * (ff5e17) systempayv2: use vads_url_check (#100598)
  * (6c9b2b) ci: add check-manifest to noxfile (#97548)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 13 Jan 2025 11:52:19 +0100

eopayment (3.5) bookworm-eobuilder; urgency=low

  * (0d8c6d) common: use at least 3 digits for amount in cents (#97386)
  * (35381f) ci: migrate from tox to nox (#95959)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 22 Oct 2024 15:03:41 +0200

eopayment (3.4) bookworm-eobuilder; urgency=low

  * (ad2d21) systempayv2: authorize every caracters in vads_order_info* (#93952)
  * (b141d4) tests: replace pytest-freezegun by pytest-freezer (#94192)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 27 Aug 2024 17:58:32 +0200

eopayment (3.3) bookworm-eobuilder; urgency=low

  * (afd00b) add an is_email_required accessor (#92645)
  * (4f9e8a) trivial: update pre-commit-hooks to 4.6.0 (#93275)
  * (454d16) ci: stop building for bullseye (#92886)
  * (a7f847) setup: use setuptools instead of distutils (#92886)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 29 Jul 2024 17:05:11 +0200

eopayment (3.2) bookworm-eobuilder; urgency=low

  * (13b080) packaging: include new xsd files (#91890)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 17 Jun 2024 17:04:09 +0200

eopayment (3.1) bookworm-eobuilder; urgency=low

  * (9fd0f5) payfip: delete port in payment service wsdl (#91878)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 14 Jun 2024 16:01:44 +0200

eopayment (3.0) bookworm-eobuilder; urgency=low

  * (0156da) misc: dummy commit to bump version (#91863)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 14 Jun 2024 12:49:18 +0200

eopayment (2.1) bookworm-eobuilder; urgency=low

  * (567c75) payfip_ws: update tests (#91858)
  * (bce64a) paybox: use hmac urls (#90999)
  * (9d202c) payfip_ws: update WSDL reference files (#91129)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 14 Jun 2024 11:40:21 +0200

eopayment (2) bookworm-eobuilder; urgency=low

  * (c27181) saga: add missing import for pytz (#91538)
  * (737de8) saga: add timeout parameter to API (#91538)
  * (445308) saga: analyze SAGA errors to determine Payfip state (#91652)
  * (fffe9d) saga: handle base_url being the full URL to the WSDL file (#91610)
  * (842d0d) saga: add parameters for UsernameToken authentication (#91609)
  * (534061) saga: make num_service and compte transaction scope parameters (#91611)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 12 Jun 2024 17:11:32 +0200

eopayment (1.87) bookworm-eobuilder; urgency=low

  * (cd7385) payfip_ws: add control on HTTP timeout (#91403)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 04 Jun 2024 12:57:10 +0200

eopayment (1.86) bookworm-eobuilder; urgency=low

  * (5da7e3) saga: add payment_status() method for polling of PayFiP (#90822)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 21 May 2024 11:17:45 +0200

eopayment (1.85) bookworm-eobuilder; urgency=low

  * (59c38e) paybox: create PBX_ARCHIVAGE reference using the correct format
    (#90279)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 03 May 2024 00:10:13 +0200

eopayment (1.84) bookworm-eobuilder; urgency=low

  * (331f6e) paybox: handle 3DSv2 informations in request (#90207)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 02 May 2024 15:21:44 +0200

eopayment (1.83) bookworm-eobuilder; urgency=low

  * (d69e64) add guess() method to dummy backend (#82921)
  * (5749ee) setup: compute pep440 compliant dirty version number (#81731)
  * (f0fbf9) misc: update git-blame-ignore-revs to ignore quote changes (#79788)
  * (027813) misc: apply double-quote-string-fixer (#79788)
  * (ac990b) misc: add pre commit hook to force single quotes (#79788)
  * (afd901) debian: remove obsolete python-eopayment.docs (#78966)
  * (174b90) ci: build deb package for bookworm (#78968)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 10 Nov 2023 08:56:52 +0100

eopayment (1.82) bookworm-eobuilder; urgency=low

  * (7c0d19) setup: use django's command caller for translations compilation
    (#78765)
  * (a193f2) Prepare Jenkinsfile for Gitea migration (#74572)
  * (d42c63) update translation
  * (2649aa) tipi: fix enumerations of "code de saisie" (#74371)
  * (a8507e) ci: upgrade isort (#74044)
  * (e806db) ci: only build package for bullseye (#72729)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 20 Jun 2023 14:18:06 +0200

eopayment (1.81) bookworm-eobuilder; urgency=low


