## eopayment 3.12-1~eob120+1

=== debian/changelog ===
eopayment (3.12-1~eob120+1) bookworm-eobuilder; urgency=low

  * (bbbf4b) payfip_ws: accept cancelled state after waiting 2 minutes since
    transaction date (#110175)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 18 Sep 2025 16:06:27 +0200
