## eopayment 3.13-1~eob120+1

=== debian/changelog ===
eopayment (3.13-1~eob120+1) bookworm-eobuilder; urgency=low

  * (2da627) worldline: return hosted_checkout_id in response.transaction_id
    (#111079)
  * (798cdc) ci: also build package for trixie (#111016)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 15 Oct 2025 17:56:57 +0200
